View Issue Details

IDProjectCategoryView StatusLast Update
0004458SymmetricDSBugpublic2020-07-20 10:50
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.2Fixed in Version3.12.2 
Summary0004458: Null pointer exception while extracting batch
DescriptionERROR [oracle-prod] [DataExtractorService] [oracle-prod-push-reload3-20] ParameterizedMessage[messagePattern=Failed to extract batch {}, stringArgs=[mariadb-prod-231797, java.lang.NullPointerException], throwable=java.lang.NullPointerException] StackTraceKey.init [NullPointerException:4102833977]
java.lang.NullPointerException: null
        at org.jumpmind.symmetric.io.data.writer.StagingDataWriter.print(StagingDataWriter.java:116) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.writer.AbstractProtocolDataWriter.println(AbstractProtocolDataWriter.java:287) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.writer.AbstractProtocolDataWriter.write(AbstractProtocolDataWriter.java:200) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.model.ProcessInfoDataWriter.write(ProcessInfoDataWriter.java:84) ~[symmetric-core-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.writer.TransformWriter.write(TransformWriter.java:201) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.DataProcessor.forEachDataInTable(DataProcessor.java:212) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:178) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:124) ~[symmetric-io-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extractOutgoingBatch(DataExtractorService.java:1063) ~[symmetric-core-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extractBatch(DataExtractorService.java:940) ~[symmetric-core-3.12.0.1.jar:3.12.0.1]
        at org.jumpmind.symmetric.service.impl.DataExtractorService.lambda$extract$1(DataExtractorService.java:698) ~[symmetric-core-3.12.0.1.jar:3.12.0.1]
        at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:1.8.0_252]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_252]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_252]
        at java.lang.Thread.run(Thread.java:748) [?:1.8.0_252]
Tagsextract

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 9d725c64

2020-06-29 08:01:39

admin

Details Diff
0004458: Null pointer exception while extracting batch
0004458
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/StagingDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2020-06-28 09:58 elong New Issue
2020-06-28 09:58 elong Status new => assigned
2020-06-28 09:58 elong Assigned To => elong
2020-06-28 09:58 elong Tag Attached: extract
2020-06-29 08:01 elong Status assigned => resolved
2020-06-29 08:01 elong Resolution open => fixed
2020-06-29 08:01 elong Fixed in Version => 3.12.2
2020-06-29 09:00 admin Changeset attached => SymmetricDS 3.12 9d725c64
2020-07-20 10:50 elong Status resolved => closed